FFe: pyside FTBFS with Qt 4.7

Bug #648612 reported by Stefano Rivera on 2010-09-27
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
apiextractor (Ubuntu)
Undecided
Unassigned
generatorrunner (Ubuntu)
Undecided
Unassigned
pyside (Ubuntu)
Low
Unassigned
shiboken (Ubuntu)
Undecided
Unassigned

Bug Description

pyside doesn't build with Qt 4.7, new upstream versions are required.

The Debian Maintainer, Didier Raboud has prepared some versions from his git tree for us (which would be uploaded to Debian experimental but would have to fight through binary-NEW there).

http://alioth.debian.org/~odyx-guest/debian/maverick/

New changelog entries:

======================================================================

pyside (0.4.1-0ubuntu1) maverick; urgency=low

  * New 0.4.1 upstream release.
    - Add some 0.4.1 symbols.

  * Patches:
    - u_c130273_fix_py25_QtScript_property.patch
      Remove, was from upstream.
    - u_20e226b_fix_missing_qcoreapplication_arguments_method.patch
      Remove, was from upstream.
    - u_268bf77_fixed_signal_signature_parser.patch
      Remove, was from upstream.
    + libPythonVersionPostfix.patch: Refresh
    + usePySpecificShiboken.patch: Refresh
    + lessBuildVerbosity.patch: Refresh
·
  * Bump the B-D chain versions.
  * Make sure the private.py is installed in QtCore module.
  * Build against Qt 4.7.
    - Add libqtwebkit-dev
    - Drop QtMultimedia module.
    - Add the QtDeclarative package.

 -- Didier Raboud <email address hidden> Tue, 14 Sep 2010 11:17:16 +0200

pyside (0.4.0-2) experimental; urgency=low

  [ Didier Raboud ]
  * Bump shiboken B-D to 0.4.0-1~exp1 and add libapiextractor-dev 0.7.0-1~exp2
    as it fixes a test segfault (upstream bug: #243).

  * Patches:
   - u_20e226b_fix_missing_qcoreapplication_arguments_method.patch
      Import from upstream to fix a missing method in QtCore.
      (upstream bug: #303)
   - u_268bf77_fixed_signal_signature_parser.patch
      Import from upstream to fix the incorrect signal signatures
      (upstream bug: #311)

  * debian/rules: Make sure libpyside0.4 and libpyside-dev get the correctly
    versioned symlinks
  * debian/control: Vcs-Browser: Use viewsvn instead of wsvn.
  * Add debian/dh_pycmakedeps to automagically compute the module
    dependencies.

  [ Piotr Ożarowski ]
  * Set DMUA flag to yes

 -- Didier Raboud <email address hidden> Sun, 05 Sep 2010 12:33:37 +0200

pyside (0.4.0-1) experimental; urgency=low

  * New 0.4.0 upstream release (Closes: #591981)
    - Various QtGui fixes (Closes: #588556, #588558)
    - Bump generatorrunner B-D to 0.6.0
    - Bump shiboken B-D to 0.4.0
    - libpyside SONAME bumped to 0.4, update symbols file

  * Patches:
    - u_5ce7c94_fix_qtnetwork_udpsocket_test.patch
       Drop, was from upstream
    - u_86d0f67_fix_debug_build.patch
       Drop, was from upstream
    - fixTests.patch
       Drop as upstream changed the tests handling completely
    + u_c130273_fix_py25_QtScript_property.patch
       Import from upstream to fix the QtScript_property test on python2.5
       (upstream bug #284)
    × Refresh the others

  * Remove custom cmake files in favour of cmake-data's.
   - Remove debian/cmake/*.
   - Bump cmake B-D to 2.8.2
   - Bump libshiboken-dev B-D to 0.3.2-3
   - Adapt debian/rules.
   - Remove mentions of the BSD license of cmake in debian/copyright
  * Remove debian/pyversions, which duplicates information from
    debian/control.
  * Put the cmake config and pkg-config file in libpyside-dev, add necessary
    Breaks/Replaces.
  * Install the typesystem files in libpyside-dev.
  * Bump Standards to 3.9.1.0 without changes needed.

 -- Didier Raboud <email address hidden> Tue, 17 Aug 2010 21:03:14 +0200

pyside (0.3.2-3) unstable; urgency=low

  * Patches:
    + u_5ce7c94_fix_qtnetwork_udpsocket_test.patch (upstream)
      This fixes the QtNetwork_udpsocket test to work on offline
      machines, like our buildds.
    + u_86d0f67_fix_debug_build.patch (upstream)
      This fixes the debug build.
    + usePySpecificShiboken.patch
      This ensures that the correct python version is used consistantly.
    × Refresh lessBuildVerbosity.patch
    × Refresh fixTests.patch to remove the meaningless testnumbers.

  * Add shiboken-dbg version-specific B-D.

 -- Didier Raboud <email address hidden> Fri, 25 Jun 2010 16:41:32 +0200

======================================================================

shiboken (0.5.0-0ubuntu1) maverick; urgency=low

  * New 0.5.0 upstream release
    - Bump libshiboken SOVERSION to 0.5
    - Add the new 0.5 symbols.

  * Patches
    - u_1eda671_fix_type_resolver_algorithm.patch
      (Remove, was from upstream)
    - u_46ab0d6_generated_original_name_with_star_for_object_classes.patch
      (Remove, was from upstream)
    + allowCustomShibokenPostfix.patch
      (Refresh)

  * Bump the apiextractor B-D.

 -- Didier Raboud <email address hidden> Sun, 26 Sep 2010 23:48:50 +0200

shiboken (0.4.0-1~exp1) experimental; urgency=low

  * Patches:·
    - u_46ab0d6_generated_original_name_with_star_for_object_classes.patch
      Import from upstream for bug #311.
    - u_1eda671_fix_type_resolver_algorithm.patch: Import from upstream for
      bug #243.

  * Bump libapiextractor B-D to 0.7.0-1~exp2, to correct qtgui_qwidget test
    segfault in pyside, together with the above patch.
  * Update symbols file.

  * Make sure DMUA is set (correct 0.3.2-1 changelog to match real uploads).

 -- Didier Raboud <email address hidden> Fri, 03 Sep 2010 10:29:27 +0200

shiboken (0.4.0-1~exp0) experimental; urgency=low

  * New 0.4.0 upstream release
    - Bump libshiboken SONAME to 0.4
    - Bump libapiextractor B-D to 0.7
    - Bump generatorrunner B-D to 0.6
    - Update install and symbol files

  * Patches:
    - u_4bab9a8_fix_Hurd_FTBFS.patch Drop; was from upstream.
    - u_2f7c242_fidDebugBuild.patch Drop; was from upstream.
    - u_1b40948_fix_protected_test.patch Drop; was from upstream.
    - use_original_sparsehash.patch Drop; somehow included upstream.
    - fix_tests.patch Drop; no more needed.

 -- Didier Raboud <email address hidden> Wed, 04 Aug 2010 14:23:00 +0200

shiboken (0.3.2-3) unstable; urgency=low

  * Add allowCustomShibokenPostfix.patch to allow choice of python-specific
    version.

  * Remove custom cmake files in favour of cmake-data's.
    - Remove debian/cmake/*.
    - Bump cmake B-D to 2.8.2
    - Adapt debian/rules.
    - Update debian/copyright to remove the mentions of the hand-patched
      files.

  * Bump Standards to 3.9.0.0

 -- Didier Raboud <email address hidden> Thu, 22 Jul 2010 14:57:49 +0200

======================================================================

generatorrunner (0.6.1-0ubuntu1) maverick; urgency=low

  * New 0.6.1 upstream release
    - Apply manpages location changes.
    - Bump libapiextractor B-D to 0.8

 -- Didier Raboud <email address hidden> Sun, 26 Sep 2010 23:43:36 +0200

generatorrunner (0.6.0-1~exp0) experimental; urgency=low

  * New upstream 0.6.0 upstream release
    - Bump libgenrunner SONAME to 0.6
    - Update symbols and install files
    - Bump libapiextractor-dev B-D to >= 0.7.0

  * Build docs in binary-indep target.
  * Bump Standards to 3.9.1.0 without changes needed.

  * Uploading to experimental as we are in transition freeze.

 -- Didier Raboud <email address hidden> Sun, 08 Aug 2010 17:02:28 +0200

======================================================================

apiextractor (0.8.0-0ubuntu1) maverick; urgency=low

  * New 0.8.0 upstream release
    - Bumping the SOVERSION to 0.8, add two symbols for 0.8.
    - Remove all patches
  * Version the Build-Depends to ease future backports

 -- Didier Raboud <email address hidden> Sun, 26 Sep 2010 23:25:01 +0200

apiextractor (0.7.0-1~exp2) experimental; urgency=low

  * Patches:
    + Add u_d13ce132_non_final_method_is_not_necessarily_polymorphic.patch
      from upstream, to correct qtgui_qwidget test segfault in pyside.

 -- Didier Raboud <email address hidden> Tue, 31 Aug 2010 11:35:19 +0200

apiextractor (0.7.0-1~exp1) experimental; urgency=low

  * Patches:
    + Add 01_memory_alignment_fix.patch : Fixes various memory alignment
      issues which cause generator to crash on alignment-sensitive
      architectures (Closes: #590302)

 -- Didier Raboud <email address hidden> Mon, 09 Aug 2010 13:41:10 +0200

apiextractor (0.7.0-1~exp0) experimental; urgency=low

  [ Didier Raboud ]
  * New 0.7.0 upstream release
    - Bump libapiextractor SONAME to 0.7
  * Patches:
    - Remove spellingErrors.patch, included upstream.
  * Build docs in binary-indep target.
  * Bump Standards to 3.9.1.0 without changes needed.

  * Uploading to experimental as we are in transition freeze.

  [ Piotr Ożarowski ]
  * Set the DM-Upload-Allowed flag to yes

 -- Didier Raboud <email address hidden> Fri, 06 Aug 2010 14:50:48 +0200

======================================================================

There are no reverse dependancies outside this set of packages.

summary: - FTBFS with Qt 4.7
+ pyside FTBFS with Qt 4.7
Changed in pyside (Ubuntu):
assignee: nobody → Stefano Rivera (stefanor)
importance: Undecided → Low
status: New → In Progress
description: updated
Changed in pyside (Ubuntu):
assignee: Stefano Rivera (stefanor) → nobody
status: In Progress → New
summary: - pyside FTBFS with Qt 4.7
+ FFe: pyside FTBFS with Qt 4.7
Didier Raboud (odyx) wrote :

Hi,

(thanks to Stefano for handling the reporting).

Just mentioning that those packages have been successfully built on Maverick for the PySide project on their PPA:

https://launchpad.net/~pyside/+archive/ppa

Cheers, OdyX

No risk of regressions and doesn't work as is, so FFe granted.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apiextractor - 0.8.0-0ubuntu1

---------------
apiextractor (0.8.0-0ubuntu1) maverick; urgency=low

  * New 0.8.0 upstream release (LP: #648612)
    - Bumping the SOVERSION to 0.8, add two symbols for 0.8.
    - Remove all patches
  * Version the Build-Depends to ease future backports

apiextractor (0.7.0-1~exp2) experimental; urgency=low

  * Patches:
    + Add u_d13ce132_non_final_method_is_not_necessarily_polymorphic.patch
      from upstream, to correct qtgui_qwidget test segfault in pyside.

apiextractor (0.7.0-1~exp1) experimental; urgency=low

  * Patches:
    + Add 01_memory_alignment_fix.patch : Fixes various memory alignment
      issues which cause generator to crash on alignment-sensitive
      architectures (Closes: #590302)

apiextractor (0.7.0-1~exp0) experimental; urgency=low

  [ Didier Raboud ]
  * New 0.7.0 upstream release
    - Bump libapiextractor SONAME to 0.7
  * Patches:
    - Remove spellingErrors.patch, included upstream.
  * Build docs in binary-indep target.
  * Bump Standards to 3.9.1.0 without changes needed.

  * Uploading to experimental as we are in transition freeze.

  [ Piotr Ożarowski ]
  * Set the DM-Upload-Allowed flag to yes
 -- Didier Raboud <email address hidden> Mon, 27 Sep 2010 20:09:57 +0200

Changed in apiextractor (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package generatorrunner - 0.6.1-0ubuntu1

---------------
generatorrunner (0.6.1-0ubuntu1) maverick; urgency=low

  * New 0.6.1 upstream release (LP: #648612)
    - Apply manpages location changes.
    - Bump libapiextractor B-D to 0.8

generatorrunner (0.6.0-1~exp0) experimental; urgency=low

  * New upstream 0.6.0 upstream release
    - Bump libgenrunner SONAME to 0.6
    - Update symbols and install files
    - Bump libapiextractor-dev B-D to >= 0.7.0

  * Build docs in binary-indep target.
  * Bump Standards to 3.9.1.0 without changes needed.

  * Uploading to experimental as we are in transition freeze.
 -- Didier Raboud <email address hidden> Mon, 27 Sep 2010 20:58:17 +0200

Changed in generatorrunner (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (3.4 KiB)

This bug was fixed in the package pyside - 0.4.1-0ubuntu1

---------------
pyside (0.4.1-0ubuntu1) maverick; urgency=low

  * New 0.4.1 upstream release. (LP: #648612)
    - Add some 0.4.1 symbols.

  * Patches:
    - u_c130273_fix_py25_QtScript_property.patch
      Remove, was from upstream.
    - u_20e226b_fix_missing_qcoreapplication_arguments_method.patch
      Remove, was from upstream.
    - u_268bf77_fixed_signal_signature_parser.patch
      Remove, was from upstream.
    + libPythonVersionPostfix.patch: Refresh
    + usePySpecificShiboken.patch: Refresh
    + lessBuildVerbosity.patch: Refresh

  * Bump the B-D chain versions.
  * Make sure the private.py is installed in QtCore module.
  * Build against Qt 4.7.
    - Add libqtwebkit-dev
    - Drop QtMultimedia module.
    - Add the QtDeclarative package.

pyside (0.4.0-2) experimental; urgency=low

  [ Didier Raboud ]
  * Bump shiboken B-D to 0.4.0-1~exp1 and add libapiextractor-dev 0.7.0-1~exp2
    as it fixes a test segfault (upstream bug: #243).

  * Patches:
   - u_20e226b_fix_missing_qcoreapplication_arguments_method.patch
      Import from upstream to fix a missing method in QtCore.
      (upstream bug: #303)
   - u_268bf77_fixed_signal_signature_parser.patch
      Import from upstream to fix the incorrect signal signatures
      (upstream bug: #311)

  * debian/rules: Make sure libpyside0.4 and libpyside-dev get the correctly
    versioned symlinks
  * debian/control: Vcs-Browser: Use viewsvn instead of wsvn.
  * Add debian/dh_pycmakedeps to automagically compute the module
    dependencies.

  [ Piotr Ożarowski ]
  * Set DMUA flag to yes

pyside (0.4.0-1) experimental; urgency=low

  * New 0.4.0 upstream release (Closes: #591981)
    - Various QtGui fixes (Closes: #588556, #588558)
    - Bump generatorrunner B-D to 0.6.0
    - Bump shiboken B-D to 0.4.0
    - libpyside SONAME bumped to 0.4, update symbols file

  * Patches:
    - u_5ce7c94_fix_qtnetwork_udpsocket_test.patch
       Drop, was from upstream
    - u_86d0f67_fix_debug_build.patch
       Drop, was from upstream
    - fixTests.patch
       Drop as upstream changed the tests handling completely
    + u_c130273_fix_py25_QtScript_property.patch
       Import from upstream to fix the QtScript_property test on python2.5
       (upstream bug #284)
    × Refresh the others

  * Remove custom cmake files in favour of cmake-data's.
   - Remove debian/cmake/*.
   - Bump cmake B-D to 2.8.2
   - Bump libshiboken-dev B-D to 0.3.2-3
   - Adapt debian/rules.
   - Remove mentions of the BSD license of cmake in debian/copyright
  * Remove debian/pyversions, which duplicates information from
    debian/control.
  * Put the cmake config and pkg-config file in libpyside-dev, add necessary
    Breaks/Replaces.
  * Install the typesystem files in libpyside-dev.
  * Bump Standards to 3.9.1.0 without changes needed.

pyside (0.3.2-3) unstable; urgency=low

  * Patches:
    + u_5ce7c94_fix_qtnetwork_udpsocket_test.patch (upstream)
      This fixes the QtNetwork_udpsocket test to work on offline
      machines, like our buildds.
    + u_86d0f67_fix_debug_build.patch (upstream)
      This fixes the debug build.
    + usePySpecificShiboken.patch...

Read more...

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package shiboken - 0.5.0-0ubuntu1

---------------
shiboken (0.5.0-0ubuntu1) maverick; urgency=low

  * New 0.5.0 upstream release (LP: #648612)
    - Bump libshiboken SOVERSION to 0.5
    - Add the new 0.5 symbols.

  * Patches
    - u_1eda671_fix_type_resolver_algorithm.patch
      (Remove, was from upstream)
    - u_46ab0d6_generated_original_name_with_star_for_object_classes.patch
      (Remove, was from upstream)
    + allowCustomShibokenPostfix.patch
      (Refresh)

  * Bump the apiextractor B-D.

shiboken (0.4.0-1~exp1) experimental; urgency=low

  * Patches:
    - u_46ab0d6_generated_original_name_with_star_for_object_classes.patch
      Import from upstream for bug #311.
    - u_1eda671_fix_type_resolver_algorithm.patch: Import from upstream for
      bug #243.

  * Bump libapiextractor B-D to 0.7.0-1~exp2, to correct qtgui_qwidget test
    segfault in pyside, together with the above patch.
  * Update symbols file.

  * Make sure DMUA is set (correct 0.3.2-1 changelog to match real uploads).

shiboken (0.4.0-1~exp0) experimental; urgency=low

  * New 0.4.0 upstream release
    - Bump libshiboken SONAME to 0.4
    - Bump libapiextractor B-D to 0.7
    - Bump generatorrunner B-D to 0.6
    - Update install and symbol files

  * Patches:
    - u_4bab9a8_fix_Hurd_FTBFS.patch Drop; was from upstream.
    - u_2f7c242_fidDebugBuild.patch Drop; was from upstream.
    - u_1b40948_fix_protected_test.patch Drop; was from upstream.
    - use_original_sparsehash.patch Drop; somehow included upstream.
    - fix_tests.patch Drop; no more needed.

shiboken (0.3.2-3) unstable; urgency=low

  * Add allowCustomShibokenPostfix.patch to allow choice of python-specific
    version.

  * Remove custom cmake files in favour of cmake-data's.
    - Remove debian/cmake/*.
    - Bump cmake B-D to 2.8.2
    - Adapt debian/rules.
    - Update debian/copyright to remove the mentions of the hand-patched
      files.

  * Bump Standards to 3.9.0.0
 -- Didier Raboud <email address hidden> Mon, 27 Sep 2010 20:59:41 +0200

Changed in pyside (Ubuntu):
status: New → Fix Released
Changed in shiboken (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers